Bug 35587 - Wrong suggestion for FQDN and LDAP base --- ampersand is not replaced
Wrong suggestion for FQDN and LDAP base --- ampersand is not replaced
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: System setup
UCS 3.2
Other Linux
: P5 normal (vote)
: UCS 3.2-3-errata
Assigned To: Florian Best
Alexander Kläser
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-08-08 15:56 CEST by Sönke Schwardt-Krummrich
Modified: 2014-09-10 17:46 CEST (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Usability
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sönke Schwardt-Krummrich univentionstaff 2014-08-08 15:56:36 CEST
I just booted a fresh UCS 3.2-3 system into system setup and entered the following organisation name "Müller Transporte GmbH & Co KG" which resulted in the following suggestions:

FQDN: "ucs-9398.mueller-transporte-gmbh-&-co-kg.intranet"
LDAPBASE: "dc=mueller-transporte-gmbh-&-co-kg,dc=intranet"

which is obviusly wrong and at least the FQDN is rejected by the input widget.
Comment 1 Florian Best univentionstaff 2014-08-28 09:09:05 CEST
Now every character except A-Za-z0-9\- is replaced by '-'. Umlauts are replaced by their ascii notation (ä → ae). Trailing and leading - are stripped. Duplicated - are replaced by one -.
YAML: 2014-08-28-univention-system-setup.yaml
Changes merged to UCS 4
Comment 2 Alexander Kläser univentionstaff 2014-09-02 17:44:23 CEST
Fix looks good and works fine.
Change has been committed to 4.0.
YAML file look good.
Comment 3 Janek Walkenhorst univentionstaff 2014-09-10 17:46:05 CEST
http://errata.univention.de/ucs/3.2/204.html